Unit tde54r_p;
{$J+}
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE54R_p, FGDE54R_p, FRDE54R_p, DE54R_p;

function tde54r: String;

implementation

function tde54r: String;
var
NX,I,NX1,IERR :Integer;
XN,XK,X0,HX,P,HMIN,EPS,H :Real;
BULDY :Boolean;
Y :Array [0..10] of Real;
DY :Array [0..10] of Real;
const
CN :Array [0..2] of Real = ( +1.0,-2.0,0.0 );
CK :Array [0..2] of Real = ( 1.0,2.0,0.0 );
begin
Result := '';  {   }
XN := -1.0;
XK := 1.0;
NX := 11;
X0 := XN;
HX := 0.01;
P := 11.0;
HX := 2.0/199.0;
X0 := 1.0-10.0*HX;
BULDY := True;
HMIN := 1.E-10;
EPS := 0.00001;
H := 0.01;
DE54R(FDE54R,FGDE54R,FRDE54R,XN,XK,CN,CK,NX,X0,HX,BULDY,HMIN,EPS,P,
     H,Y,DY,NX1,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' NX1=']);
Result := Result + Format('%5d ',[NX1]);
Result := Result + Format('%s',['       Y']);
Result := Result + Format('%s',['                 DY' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for I:=1 to 11 do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [Y[I-1],DY[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde54r',Result);  {     tde54r.res }
exit;
end;

end.
